require	'mxx_ru/cpp'

require 'oess_1/util_cpp_serializer/gen'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Exe_target.new(
		"test/bench/oess_db/create_read/prj.rb" ) {

		required_prj( "oess_1/defs/prj.rb" )
		required_prj( "oess_1/db/prj.rb" )

		generator( Oess_1::Util_cpp_serializer::Gen.new( self ) ).
			ddl_file( "main.ddl" )

		target( "test.bench.oess_db.create_read" )

		cpp_source( "main.cpp" )
	}
)
